Page MenuHomePhabricator

"Uncaught TypeError: Cannot read property 'insertRule' of undefined" from MwEmbedSupport/Spinner.js
Closed, ResolvedPublic

Description

Viewing https://commons.wikimedia.org/wiki/Main_Page or https://en.wikipedia.org/wiki/Elizabeth_II and various pages on other wikis I often get this error in the console as of late:

Uncaught TypeError: Cannot read property 'insertRule' of undefined

https://github.com/wikimedia/mediawiki-extensions-MwEmbedSupport/blob/4c5eef784b/MwEmbedModules/MwEmbedSupport/jquery.loadingSpinner/Spinner.js#L66

Whenever this happens, the JavaScript runtime is broken very early on. So things like search suggestions, table of contents, sortable tables, centralnotice banners etc all do not operate.

Event Timeline

Krinkle created this task.Nov 16 2015, 11:45 PM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added subscribers: Krinkle, TheDJ, brion.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 16 2015, 11:45 PM
Edokter added a subscriber: Edokter.EditedNov 22 2015, 12:30 PM

I get this (blocking) error on any page on enwiki with an .ogg file on it. Chrome does not like somthing about the embedded player (that replaces the native player).

Krinkle set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptNov 27 2015, 3:30 PM

It's interesting that this suddenly started occurring...

Really, we should dump that entire spinner in favor of our core spinner module, but I'm wary about investing too much effort into it.

Change 255804 had a related patch set uploaded (by TheDJ):
Use mediawiki.util to insert style tags

https://gerrit.wikimedia.org/r/255804

Krinkle triaged this task as Normal priority.Dec 1 2015, 1:48 AM
Krinkle assigned this task to TheDJ.

Change 255804 merged by jenkins-bot:
Use mediawiki.util to insert style tags

https://gerrit.wikimedia.org/r/255804

Krinkle closed this task as Resolved.Dec 2 2015, 1:21 PM
Krinkle updated the task description. (Show Details)Dec 2 2015, 5:10 PM

Change 256446 had a related patch set uploaded (by Krinkle):
Use mediawiki.util to insert style tags

https://gerrit.wikimedia.org/r/256446

Change 256446 merged by jenkins-bot:
Use mediawiki.util to insert style tags

https://gerrit.wikimedia.org/r/256446

TheDJ added a comment.Dec 8 2015, 7:25 AM

I wonder if this issue was the result of async loading and is thus also present in 1.26....